Bug 238000 - www/mattermost-webapp www/mattermost-server: Update to 5.11
Summary: www/mattermost-webapp www/mattermost-server: Update to 5.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-20 16:07 UTC by dev
Modified: 2019-06-18 10:35 UTC (History)
3 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
update mattermost ports from 5.10.0 to 5.11.0 (12.01 KB, patch)
2019-06-13 12:07 UTC, Raul
no flags Details | Diff
update mattermost ports from 5.10.0 to 5.12.0 (12.46 KB, patch)
2019-06-15 10:18 UTC, Raul
joneum: maintainer-approval? (loic.blot)
Details | Diff
portmaster amd64 port build (6.21 KB, text/plain)
2019-06-15 13:58 UTC, Raul
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dev 2019-05-20 16:07:33 UTC
Hi could you please update mattermost packages to 5.11

https://github.com/mattermost/mattermost-server/releases/tag/v5.11.0

It contains security fixes.

Thanks
Comment 1 Jochen Neumeister freebsd_committer 2019-06-11 07:45:13 UTC
(In reply to dev from comment #0)

pls Upload a patch :)
Comment 2 Raul 2019-06-13 12:07:23 UTC
Created attachment 205030 [details]
update mattermost ports from 5.10.0 to 5.11.0
Comment 3 Raul 2019-06-13 12:14:32 UTC
As per mattermost security policy, details about the security fixes included in this new version will be disclosed tomorrow, 30 days after releasing the new version. Not sure about the correctness of this patches, but they are working here.

https://github.com/mattermost/mattermost-server/releases/tag/v5.11.0

https://mattermost.com/security-updates/
Comment 4 loic.blot 2019-06-15 09:22:44 UTC
5.12.0 has just been released.
A patch + a testport can be nice if possible :)
Comment 5 Raul 2019-06-15 10:18:20 UTC
Created attachment 205071 [details]
update mattermost ports from 5.10.0 to 5.12.0
Comment 6 Raul 2019-06-15 10:38:32 UTC
(In reply to loic.blot from comment #4)

I've deployed it with portmaster, no Poudriere here yet. Would be enought portmaster output?
Comment 7 loic.blot 2019-06-15 12:12:27 UTC
yes if the log shows the build output :)
Comment 8 Raul 2019-06-15 13:58:16 UTC
Created attachment 205075 [details]
portmaster amd64 port build
Comment 9 commit-hook freebsd_committer 2019-06-18 10:35:14 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun 18 10:34:38 UTC 2019
New revision: 504476
URL: https://svnweb.freebsd.org/changeset/ports/504476

Log:
  Update to 5.12.0

  PR:		238000
  Reported by:	dev@spiessknafl.at
  Approved by:	loic.blot@unix-experience.fr (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist